diff -urN galeon.orig/README.ExtraPrefs galeon-1.3.15/README.ExtraPrefs
--- galeon.orig/README.ExtraPrefs	2004-02-14 18:14:20.000000000 +0100
+++ galeon-1.3.15/README.ExtraPrefs	2004-06-20 13:56:32.000000000 +0200
@@ -69,6 +69,11 @@
 	When TRUE, the arrow buttons in a SBM will no longer be shown
 	(default=false)
 
+Bookmark Folder open threshold:
+	/apps/galeon/Browsing/Bookmarks/threshold_count (int)
+	Threshold at which opening a folder of bookmarks will cause
+	a warning popup to be displayed. Disabled when set to -1.
+	(default=10)
 
 Location Entry
 --------------
diff -urN galeon.orig/galeon.schemas.in galeon-1.3.15/galeon.schemas.in
--- galeon.orig/galeon.schemas.in	2004-04-19 21:53:40.000000000 +0200
+++ galeon-1.3.15/galeon.schemas.in	2004-06-20 13:56:32.000000000 +0200
@@ -62,6 +62,17 @@
         </locale>
       </schema>
       <schema>
+        <key>/schemas/apps/galeon/Browsing/Bookmarks/threshold_count</key>
+        <applyto>/apps/galeon/Browsing/Bookmarks/threshold_count</applyto>
+        <owner>galeon</owner>
+        <type>int</type>
+        <default>10</default>
+        <locale name="C">
+        <short>Bookmarks Folder Open Threshhold</short>
+        <long>Theshold above which a warning popup will be displayed when opening a folder of bookmarks.</long>
+        </locale>
+      </schema>
+      <schema>
         <key>/schemas/apps/galeon/Browsing/Bookmarks/smartbookmarks_hide_arrows</key>
         <applyto>/apps/galeon/Browsing/Bookmarks/smartbookmarks_hide_arrows</applyto>
         <owner>galeon</owner>
diff -urN galeon.orig/src/galeon-window.c galeon-1.3.15/src/galeon-window.c
--- galeon.orig/src/galeon-window.c	2004-04-27 23:18:44.000000000 +0200
+++ galeon-1.3.15/src/galeon-window.c	2004-06-20 13:56:32.000000000 +0200
@@ -2961,6 +2961,7 @@
 	GbBookmarkActivatedFlags f = ev->flags;
 	GaleonNewTabFlags flags = 0;
 	const gchar *final_url;
+	gint threshold = -1;
 
 	g_return_if_fail (f == 	GB_BAF_DEFAULT 
 			  || f == GB_BAF_NEW_TAB_OR_WINDOW
@@ -3059,8 +3060,8 @@
 			}
 		}
 		
-#define MANY_BOOKMARKS_WARNING_THRESHOLD 10
-		if (count > MANY_BOOKMARKS_WARNING_THRESHOLD)
+
+		if ( (threshold = eel_gconf_get_integer(CONF_BOOKMARKS_THRESHOLD_COUNT)) >= 0 && count > threshold )
 		{
 			gint response;
 			GtkWidget *dialog = hig_alert_new
diff -urN galeon.orig/utils/prefs-strings.h galeon-1.3.15/utils/prefs-strings.h
--- galeon.orig/utils/prefs-strings.h	2004-04-19 21:53:40.000000000 +0200
+++ galeon-1.3.15/utils/prefs-strings.h	2004-06-20 13:56:32.000000000 +0200
@@ -10,6 +10,8 @@
 #define CONF_BOOKMARKS_EDITOR_SPLIT_VIEW "/apps/galeon/Browsing/Bookmarks/Editor/split_view"
 #define CONF_BOOKMARKS_EDITOR_EDIT_PANE "/apps/galeon/Browsing/Bookmarks/Editor/edit_pane"
 
+#define CONF_BOOKMARKS_THRESHOLD_COUNT "/apps/galeon/Browsing/Bookmarks/threshold_count"
+
 /* Autocompletion */
 #define CONF_HISTORY_AUTOCOMP_ENABLE "/apps/galeon/Browsing/History/completion_enabled"
 #define CONF_COMPLETION_SHOW_LIST_AUTO "/apps/galeon/Browsing/History/completion_show_list_auto"
